{% extends 'default/settings/base.html.twig' %}

{% block settings %}
    <div role="tabpanel" class="tab-pane active" id="profile">
        <div class="uk-flex" uk-grid>
            <div class="uk-width-expand uk-card uk-card-default uk-card-body">
                <h2>{{ 'settings.profile.title' | trans }}</h2>
                {{ form_start(form, {'attr': {'class': 'form-horizontal'}}) }}
                {{ form_errors(form) }}

                <div class="form-group clearfix">
                    {{ form_label(form.email) }}
                    {{ form_errors(form.email) }}
                    <div class="col-sm-8">
                        {{ form_widget(form.email) }}
                    </div>
                </div>

                <div class="alert alert-info col-sm-offset-3 col-sm-8">
                    {{ 'settings.profile.warning' | trans | raw }}
                </div>

                <div class="form-group clearfix" id="update_user_type">
                    {{ form_label(form.type) }}
                    {{ form_errors(form.type) }}
                    <div class="col-sm-8">
                        {{ form_widget(form.type) }}
                    </div>
                </div>

                <div class="form-group clearfix" id="legalnamegroup">
                    {{ form_label(form.legalName) }}
                    {{ form_errors(form.legalName) }}
                    <div class="col-sm-8">
                        {{ form_widget(form.legalName) }}
                    </div>
                </div>

                <div class="form-group clearfix">

                    {{ form_label(form.firstName) }}
                    {{ form_errors(form.firstName) }}
                    <div class="col-sm-3">
                        {{ form_widget(form.firstName) }}
                    </div>

                    {{ form_label(form.lastName) }}
                    {{ form_errors(form.lastName) }}
                    <div class="col-sm-3">
                        {{ form_widget(form.lastName) }}
                    </div>
                </div>

                <div class="form-group clearfix">
                    {{ form_label(form.birthday) }}
                    {{ form_errors(form.birthday) }}
                    <div class="col-sm-8">
                        {{ form_widget(form.birthday) }}
                    </div>
                </div>


                <div class="form-group clearfix">
                    {{ form_label(form.streetAddress) }}
                    {{ form_errors(form.streetAddress) }}
                    <div class="col-sm-8">
                        {{ form_widget(form.streetAddress) }}
                    </div>
                </div>

                <div class="form-group clearfix">
                    {{ form_label(form.zipCode) }}
                    {{ form_errors(form.zipCode) }}
                    <div class="col-sm-2">
                        {{ form_widget(form.zipCode) }}
                    </div>

                    {{ form_label(form.city) }}
                    {{ form_errors(form.city) }}
                    <div class="col-sm-3">
                        {{ form_widget(form.city) }}
                    </div>
                </div>

                <div class="form-group clearfix">
                    {{ form_label(form.country) }}
                    {{ form_errors(form.country) }}
                    <div class="col-sm-8">
                        {{ form_widget(form.country) }}
                    </div>
                </div>

                <div class="alert alert-warning">
                    {{ 'settings.save_warning' | trans }}
                </div>

                <div class="pull-right">
                    <a class="btn btn-default" href="{{ path('homepage') }}">{{ 'settings.cancel' | trans }}</a>
                    {{ form_widget(form.save, {'attr': {'class': 'btn btn-primary'}}) }}
                </div>
                {{ form_widget(form._token) }}
                </form>

                <div>
                    <a href="{{ path('delete-all-data') }}" class="btn btn-danger">{{ 'user.delete.title' | trans }}</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}